Subject: Re: [spring] Request to close the LC and move forward//RE: WGLC - draft-ietf-spring-srv6-network-programming

From: "Darren Dukes (ddukes)" <[email-masked]>
Date: Wed, 11 Mar 2020 14:44:14 +0000

Hi Sasha,

I think this question got lost in the other emails around this time.  Thanks for asking though and, let me clarify.

The SRH doc was built with section 4.3.1<https://tools.ietf.org/html/draft-ietf-6man-segment-routing-header-26#section-4.3.1> stating:
"Future documents may define additional SRv6 SIDs.  In which case, the entire
   content of this section will be defined in that document.”

So draft-ietf-6man-segment-routing header explicitly gives other documents the ability to fully define new SIDs.
In those documents the behavior of those SIDs would be fully defined, regardless of the text in section 4.3.1.

draft-ietf-spring-srv6-network-programming is one of those documents, there are others that are and will be written defining new SID behaviors and their processing, this was expected and is necessary for the definition of new SIDs and their behaviors.

Thanks,
  Darren

On Feb 27, 2020, at 8:27 AM, Alexander Vainshtein <[email-masked]<mailto:[email-masked]>> wrote:

Hi all,
I cannot say whether PSP is allowed or disallowed by RFC 8200.

But, to the best of my understanding,  format of SRH and its handling are specified by the IPv6 Segment Routing Header<https://tools.ietf.org/html/draft-ietf-6man-segment-routing-header-26> draft that is owned by the 6MAN WG and is already in the RFC Editor queue. Specifically, handling of the SRH by the Segment End Point ((of which PSP is a special use case) is defined in Section 4.3.1.1 and says:

   S01. When an SRH is processed {
   S02.   If Segments Left is equal to zero {
   S03.     Proceed to process the next header in the packet,
            whose type is identified by the Next Header field in
            the Routing header.
   S04.   }
   S05.   Else {
   S06.     If local configuration requires TLV processing {
   S07.       Perform TLV processing (see TLV Processing)
   S08.     }
   S09.     max_last_entry  =  ( Hdr Ext Len /  2 ) - 1
   S10.     If  ((Last Entry > max_last_entry) or
   S11.          (Segments Left is greater than (Last Entry+1)) {
   S12.       Send an ICMP Parameter Problem, Code 0, message to
              the Source Address, pointing to the Segments Left
              field, and discard the packet.
   S13.     }
   S14.     Else {
   S15.       Decrement Segments Left by 1.
   S16.       Copy Segment List[Segments Left] from the SRH to the
              destination address of the IPv6 header.
   S17.       If the IPv6 Hop Limit is less than or equal to 1 {
   S18.         Send an ICMP Time Exceeded -- Hop Limit Exceeded in
                Transit message to the Source Address and discard
                the packet.
   S19.       }
   S20.       Else {
   S21.         Decrement the Hop Limit by 1
   S22.         Resubmit the packet to the IPv6 module for transmission
                to the new destination.
   S23.       }
   S24.     }
   S25.   }
   S26. }

I.e., 6MAN WG did not define any special processing of the SRH by the penultimate segment endpoint. And the processing it has defined in the ultimate segment endpoint  does not mention removal of the SRH either.

I do not think that SPRING WG can change these definitions by and of itself.  If PSP is so important, a new individual draft updating the (yet unpublished) RFC defining the SRH has to be submitted and discussed in the 6MAN WG in accordance with the normal IETF process.

My 2c,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]<mailto:[email-masked]>

-----Original Message-----
From: spring <[email-masked]<mailto:[email-masked]>> On Behalf Of Ted Lemon
Sent: Thursday, February 27, 2020 3:04 PM
To: Fernando Gont <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; SPRING WG List <[email-masked]<mailto:[email-masked]>>; Maojianwei (Mao) <[email-masked]<mailto:[email-masked]>>; draft-ietf-spring-srv6-network-programming <[email-masked]<mailto:[email-masked]>>
Subject: Re: [spring] Request to close the LC and move forward//RE: WGLC - draft-ietf-spring-srv6-network-programming

This is really not helpful, Fernando, and goes some way toward explaining why communication isn’t happening.

What I reacted to in Brian’s message is that he asked a really simple question that could be readily answered with a pointer to the text in the document where the answer is given.  Since the response was instead to explain in email, that tells me that the spec is incomplete.

Separately, Brian mentioned that there is an issue with RFC8200 that would require an update, that discussions had occurred around this, but then the work never happened.   It’s reasonable to raise an objection to proceeding with work that depends on other work that hasn’t been done.

What I objected to in Maojianwei’s comment is the notion that the document should pass last call to support the industry.  No, the working group should do the work to address the objections that have been raised.   If you find yourself explaining some concept that’s mentioned in the document using text that is not in the document and not in another document referenced by the document, the fix is not to just publish anyway, because it supports the industry.   The fix is to update the document.   A dozen or so +1s should not be taken seriously if the work has not been done and nobody wants to do it.

> On Feb 27, 2020, at 6:11 AM, Fernando Gont <[email-masked]<mailto:[email-masked]>> wrote:
>
> On 27/2/20 07:27, Ted Lemon wrote:
>> The IETF serves users, not “industry”.  The IETF does not promote. Our job is to make the internet work interoperably. Brian has raised an objection that could be answered, but has not been. It is inappropriate to say that this document has passed last call.
>> In my experience, when it is hard to get consensus in situations like this it is because there is a wish to not address a concern that has been raised, not because the concern could not be addressed or should not have been raised. It may feel unreasonable, and like an imposition, but it is not. It is part of the process.
>> Rather than trying to steamroll over the objection, why not simply answer it?
>
> As a service to the community, let me explain:
>
> Essentially, and for some reason, they seem to be meaning to circumvent specs and processes.
>
> One of their last inventions has been to pretend that IPv6 allows EH insertion/deletion en-route, based on their reading of RFC8200. Based on a curious interpretation of the text, they claim that each waypoint (intermmediate router that received the packet because its address was set as de Destination Address) can insert/remove EHs, and they claim that that's not a violation of RFC8200.
>
> However, the PSP behavour doesn't even fit in that fictional interpretation of RFC8200.
>
> What PSP does is that, given:
>
> ---- B ----- C
>
>
> routers, when B realizes, after processing the SRH and setting the Dest Addr to the last segment, SegmentsLeft==0, it removes the SRH.
>
> This case is not even covered by their fictional interpretation of RFC8200.
>
> Hence the question is avoided, u<because thye would have no option than admiting they are violating RFC8200..unless... who knows... there might be yet another curious interpretation of the spec that allows it.
>
>
> It should eb evident here that the strategy is not really to follow IETF process, gain consensus, formally update specs if/where needed, but rather push whatever they publish, at whatever cost, ignoring the issues raised in this wg, and circumventing IETF process.
>
> The fact that this behavior is allowed seems to be unfair with participants, and a dis-service to the group.
>
> Thanks,
> --
> Fernando Gont
> e-mail: [email-masked]<mailto:[email-masked]> || [email-masked]<mailto:[email-masked]> PGP Fingerprint:
> 7809 84F5 322E 45C7 F1C9 3945 96EE A9EF D076 FFF1
>
>
>

_______________________________________________
spring mailing list
[email-masked]<mailto:[email-masked]>
https://clicktime.symantec.com/a/1/o-dBN-ZJMARHA7wJjIE7olF-RwnUUzVtRfXwdFqzmq0=?d=atw_kIqYFUZmbITw7iRdx05oul7SqRcF_hk-ksY2RXOVWKrcCK0_wLPVA5oOx3wxd3LHRWzwabnrklpMwnJcysKDzB7ZAlgkvkI_TBgMOmmWYTmUi7Cm9DeRzA9j6wTSFHHT2weAR7rEioVw_JRBIGcaxmodH6_sktn84eDFcI7b-TIpjSTD5gU0KWBiQuDvf1fgXAGOMtYb2BcOlbUxU6OvpXZ6eEmX0ugTpLkPxEZFSk2oe1Z9fA9GHFrSipsTECbnE9i46sWaYjDh7GATRMJrjPz08XHrqoPpRB7Hsm9rjbmV88d0ZyolqYLMiUxJbp5amhzqx_c2BeMoCNWWvFXQvMuI7SjxdfYP_1Gl0kSP848JuUk6nscdAGk9674LMjiQnz9vnahy-HtQGjQKqurWyHUm6-Tz1xtmpxiRiHJNYk2yxwQqWOUECBStdTdJLvRtWygm6L4Af-pDvPecd5eBAZ-N2ZNF2MODlL14q3R4Ewbq5YIX0rNIi1WDxNdv8YnDaK-qKbLgGNwUcBpswtWNGkMPNLYy0mNNlvCPHw%3D%3D&u=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fspring

___________________________________________________________________________

This e-mail message is intended for the recipient only and contains information which is
CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this
transmission in error, please inform us by e-mail, phone or fax, and then delete the original
and all copies thereof.
___________________________________________________________________________
--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]<mailto:[email-masked]>
Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 11 Mar 2020 16:06:43 +0000

Darren,
Lots of thanks for the clarification.

However, I have several issues with your response:

1.       The SRH draft is a 6MAN document. I am not sure if the provision for new documents defining new SID types and their handling means that such definitions can be done in the documents handled by other WGs, especially since we see strong opposition to these changes from several participants of the 6MAN WG. (To make it clear, I am not a 6MAN WG member, and personally  neutral about PSP - but I am worried about the IETF process)

2.       The SRv6 Network  Programming draft has a Normative reference to the SRH draft, but it does not ever mentions that it updates it (not in the text and not in the Metadata).

3.       Section 4.3.1 of the SRH draft defines the behavior associated with the SRv6 SID that is locally instantiated, and explains that other SID types may be defined. But PSP-flavored SIDs are NOT locally instantiated in the penultimate node, they are instantiated in the ultimate node of the path. Therefore (and I may be too literal in my interpretation of the SRH draft), I think that the provision for new documents defining new SID types only applies to locally instantiated SIDs of the handling node  and does not cover the PSP case.

In my original email I have suggested to the PSP/USP proponents to post a draft that updates the SRH one (or the RFC that hopefully soon will be published) - and to run it thru the 6MAN WG in the usual manner. I understand that his will take time, but I still think that this would be the most appropriate way to resolve the current conflict that has already gone too far.

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

From: Darren Dukes (ddukes) <[email-masked]>
Sent: Wednesday, March 11, 2020 4:44 PM
To: Alexander Vainshtein <[email-masked]>
Cc: Ted Lemon <[email-masked]>; Fernando Gont <[email-masked]>; SPRING WG List <[email-masked]>; [email-masked]; draft-ietf-spring-srv6-network-programming <[email-masked]>
Subject: Re: [spring] Request to close the LC and move forward//RE: WGLC - draft-ietf-spring-srv6-network-programming

Hi Sasha,

The SRH doc was built with section 4.3.1<https://clicktime.symantec.com/3LLGD1Uzfhu26ZSxmbnqzXQ6H2?u=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-6man-segment-routing-header-26%23section-4.3.1> stating:
"Future documents may define additional SRv6 SIDs.  In which case, the entire
   content of this section will be defined in that document.”

Thanks,
  Darren

Hi all,

But, to the best of my understanding,  format of SRH and its handling are specified by the IPv6 Segment Routing Header<https://clicktime.symantec.com/3UnfQgAfW5ZSe3uASGKwXGq6H2?u=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-6man-segment-routing-header-26> draft that is owned by the 6MAN WG and is already in the RFC Editor queue. Specifically, handling of the SRH by the Segment End Point ((of which PSP is a special use case) is defined in Section 4.3.1.1 and says:

My 2c,
Sasha

Office: +972-39266302
Cell:      +972-549266302

-----Original Message-----
From: spring <[email-masked]<mailto:[email-masked]>> On Behalf Of Ted Lemon
Sent: Thursday, February 27, 2020 3:04 PM
To: Fernando Gont <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; SPRING WG List <[email-masked]<mailto:[email-masked]>>; Maojianwei (Mao) <[email-masked]<mailto:[email-masked]>>; draft-ietf-spring-srv6-network-programming <[email-masked]<mailto:[email-masked]>>
Subject: Re: [spring] Request to close the LC and move forward//RE: WGLC - draft-ietf-spring-srv6-network-programming

Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6<https://clicktime.symantec.com/38hWJKXwHtJe4zsy3VGGagg6H2?u=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fipv6>

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 12 Mar 2020 08:13:20 +1300

On 12-Mar-20 05:06, Alexander Vainshtein wrote:
> 1.       The SRH draft is a 6MAN document. I am not sure if the provision for new documents defining new SID types and their handling means that such definitions can be done in the documents handled by other WGs,

They certainly can, because the decision point in the IETF is not the WG; it's the IESG, following an IETF Last Call. It's very common for one WG to build on the output of another.

> especially since we see strong opposition to these changes from several participants of the 6MAN WG. (To make it clear, I am not a 6MAN WG member, and personally  neutral about PSP - but I am worried about the IETF process)
> 

An extension is not necessarily an "update". This is a weakness in our vocabulary, and there is a current proposal to change it: https://tools.ietf.org/html/draft-kuehlewind-update-tag

> 
> 3.       Section 4.3.1 of the SRH draft defines the behavior associated with the SRv6 SID that */is locally instantiated/*, and explains that other SID types may be defined. But PSP-flavored SIDs are NOT locally instantiated in the penultimate node, they are instantiated in the ultimate node of the path. Therefore (and I may be too literal in my interpretation of the SRH draft), I think that the provision for new documents defining new SID types */only applies to locally instantiated SIDs of the handling node/*  and does not cover the PSP case.

I think this is governed by RFC8402, as I mentioned yesterday.

> In my original email I have suggested to the PSP/USP proponents to post a draft that updates the SRH one (or the RFC that hopefully soon will be published) - and to run it thru the 6MAN WG in the u…

I don't see how that would help, since the argument is about the interpretation of RFC8200 (and RFC4291), not about the SRH spec.

Regards
    Brian
> *From:*Darren Dukes (ddukes) <[email-masked]>
> *Sent:* Wednesday, March 11, 2020 4:44 PM
> *To:* Alexander Vainshtein <[email-masked]>
> *Cc:* Ted Lemon <[email-masked]>; Fernando Gont <[email-masked]>; SPRING WG List <[email-masked]>; [email-masked]; draft-ietf-spring-srv6-network-programming <[email-masked]>
> *Subject:* Re: [spring] Request to close the LC and move forward//RE: WGLC - draft-ietf-spring-srv6-network-programming
> 
>  
> 
> Hi Sasha,
> 
>  
> 
> The SRH doc was built with section 4.3.1 <https://clicktime.symantec.com/3LLGD1Uzfhu26ZSxmbnqzXQ6H2?u=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-6man-segment-routing-header-26%23section-4.3.1> stating:
> 
>     On Feb 27, 2020, at 8:27 AM, Alexander Vainshtein <[email-masked] <mailto:[email-masked]>> wrote:
> 
>      
> 
>     Hi all,
> 
>     But, to the best of my understanding,  format of SRH and its handling are specified by the IPv6 Segment Routing Header <https://clicktime.symantec.com/3UnfQgAfW5ZSe3uASGKwXGq6H2?u=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-6man-segment-routing-header-26> draft that is owned by the 6MAN WG and */is already in the RFC Editor queue/*. Specifically, handling of the SRH by the Segment End Point ((of which PSP is a special use case) is defined in Section 4.3.1.1 and says:
> 
>      
> 
>     Email:   [email-masked] <mailto:[email-masked]>
> 
>      
> 
>     From: spring <[email-masked] <mailto:[email-masked]>> On Behalf Of Ted Lemon
>     To: Fernando Gont <[email-masked] <mailto:[email-masked]>>
>     Cc: [email-masked] <mailto:[email-masked]>; SPRING WG List <[email-masked] <mailto:[email-masked]>>; Maojianwei (Mao) <[email-masked] <mailto:[email-masked]>>; draft-ietf-spring-srv6-network-programming <[email-masked] <mailto:[email-masked]>>
>     > On Feb 27, 2020, at 6:11 AM, Fernando Gont <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     > 
> 
>     > e-mail: [email-masked] <mailto:[email-masked]> || [email-masked] <mailto:[email-masked]> PGP Fingerprint:
> 
>     [email-masked] <mailto:[email-masked]>
> 
>     [email-masked] <mailto:[email-masked]>
>     Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6 <https://clicktime.symantec.com/38hWJKXwHtJe4zsy3VGGagg6H2?u=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fipv6>
> [email-masked]

---

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 12 Mar 2020 07:35:58 +0000

Brian,
Lots of thanks for a prompt and unambiguous response.

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302

-----Original Message-----
From: Brian E Carpenter <[email-masked]> 
Sent: Wednesday, March 11, 2020 9:13 PM
To: Alexander Vainshtein <[email-masked]>; Darren Dukes (ddukes) <[email-masked]>
Cc: SPRING WG List <[email-masked]>; [email-masked]; Fernando Gont <[email-masked]>; draft-ietf-spring-srv6-network-programming <[email-masked]>
Subject: Re: [spring] Request to close the LC and move forward//RE: WGLC - draft-ietf-spring-srv6-network-programming

On 12-Mar-20 05:06, Alexander Vainshtein wrote:
> 1.       The SRH draft is a 6MAN document. I am not sure if the 
> provision for new documents defining new SID types and their handling 
> means that such definitions can be done in the documents handled by 
> other WGs,

> especially since we see strong opposition to these changes from 
> several participants of the 6MAN WG. (To make it clear, I am not a 
> 6MAN WG member, and personally  neutral about PSP - but I am worried 
> about the IETF process)
> 

An extension is not necessarily an "update". This is a weakness in our vocabulary, and there is a current proposal to change it: https://clicktime.symantec.com/32AasVXnTQLbLb4xyAqqxWy6H2?u=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-kuehlewind-update-tag

Regards
    Brian
> *Cc:* Ted Lemon <[email-masked]>; Fernando Gont 
> <[email-masked]>; SPRING WG List <[email-masked]>; 
> [email-masked]; draft-ietf-spring-srv6-network-programming 
> <[email-masked]>
> *Subject:* Re: [spring] Request to close the LC and move forward//RE: 
> WGLC - draft-ietf-spring-srv6-network-programming
> 
>  
> 
> Hi Sasha,
> 
>  
> 
> So draft-ietf-6man-segment-routing header explicitly gives other 
> documents the ability to fully define new SIDs.
> 
> <mailto:[email-masked]>
> 
>      
> 
>     Subject: Re: [spring] Request to close the LC and move 
> forward//RE: WGLC - draft-ietf-spring-srv6-network-programming
> 
>      
> 
> https://clicktime.symantec.com/a/1/o-dBN-ZJMARHA7wJjIE7olF-RwnUUzVtRfX
> wdFqzmq0=?d=atw_kIqYFUZmbITw7iRdx05oul7SqRcF_hk-ksY2RXOVWKrcCK0_wLPVA5
> oOx3wxd3LHRWzwabnrklpMwnJcysKDzB7ZAlgkvkI_TBgMOmmWYTmUi7Cm9DeRzA9j6wTS
> FHHT2weAR7rEioVw_JRBIGcaxmodH6_sktn84eDFcI7b-TIpjSTD5gU0KWBiQuDvf1fgXA
> GOMtYb2BcOlbUxU6OvpXZ6eEmX0ugTpLkPxEZFSk2oe1Z9fA9GHFrSipsTECbnE9i46sWa
> YjDh7GATRMJrjPz08XHrqoPpRB7Hsm9rjbmV88d0ZyolqYLMiUxJbp5amhzqx_c2BeMoCN
> WWvFXQvMuI7SjxdfYP_1Gl0kSP848JuUk6nscdAGk9674LMjiQnz9vnahy-HtQGjQKqurW
> yHUm6-Tz1xtmpxiRiHJNYk2yxwQqWOUECBStdTdJLvRtWygm6L4Af-pDvPecd5eBAZ-N2Z
> NF2MODlL14q3R4Ewbq5YIX0rNIi1WDxNdv8YnDaK-qKbLgGNwUcBpswtWNGkMPNLYy0mNN
> lvCPHw%3D%3D&u=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fsprin
> g
> 
> 
>     
>     Administrative Requests: https://clicktime.symantec.com/34ZEL5KjkZccRzo9JWx5RVN6H2?u=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fipv6 <https://clicktime.symantec.com/38hWJKXwHtJe4zsy3VGGagg6H2?u=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fipv6>
>     
> This e-mail message is intended for the recipient only and contains 
> information which is CONFIDENTIAL and which may be proprietary to ECI 
> Telecom. If you have received this transmission in error, please 
> inform us by e-mail, phone or fax, and then delete the original and all copies thereof.
> Administrative Requests: 
> https://clicktime.symantec.com/34ZEL5KjkZccRzo9JWx5RVN6H2?u=https%3A%2
> F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fipv6

---

From: "Darren Dukes (ddukes)" <[email-masked]>
Date: Thu, 12 Mar 2020 13:17:06 +0000

Yes thanks Brian for that response.

Sasha I want to correct one technical error in your email so your understanding is clear. You say “But PSP-flavored SIDs are NOT locally instantiated in the penultimate node, they are instantiated in the ultimate node of the path. “

That is incorrect. A SID that is PSP flavor only performs the PSP operation when it is in the penultimate position in the segment list, and a SID is only processed on the node that instantiates it. See the definition of penultimate segment in the segment list definition here. https://tools.ietf.org/html/draft-ietf-6man-segment-routing-header-26#section-2

Thanks
  Darren

________________________________
From: Alexander Vainshtein <[email-masked]>
Sent: Thursday, March 12, 2020 3:36 AM
To: Brian E Carpenter
Cc: SPRING WG List; [email-masked]; Fernando Gont; draft-ietf-spring-srv6-network-programming; Darren Dukes (ddukes)
Subject: RE: [spring] Request to close the LC and move forward//RE: WGLC - draft-ietf-spring-srv6-network-programming

Brian,

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302

-----Original Message-----
From: Brian E Carpenter <[email-masked]>
Sent: Wednesday, March 11, 2020 9:13 PM
To: Alexander Vainshtein <[email-masked]>; Darren Dukes (ddukes) <[email-masked]>
Cc: SPRING WG List <[email-masked]>; [email-masked]; Fernando Gont <[email-masked]>; draft-ietf-spring-srv6-network-programming <[email-masked]>
Subject: Re: [spring] Request to close the LC and move forward//RE: WGLC - draft-ietf-spring-srv6-network-programming

Regards
    Brian

---

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 12 Mar 2020 13:51:05 +0000

Darren,
Lots of thanks for a prompt response.
My reading of your response is that in order to perform PSP, the penultimate route must advertise an SID it instanciates as PSP-flavored.  Until now I have always assumed that PSP flavor is used with some SID that is substantiated by the ultimate node similar to a node that adveririses its Node SID with PHP flag in SR-MPLS.

To me the latter model makes sense because it allows the node that cannot process both the SRH and the Next Header to indicate that. The former model looks strange to me.

My 2c.

Get Outlook for Android<https://aka.ms/ghei36>

________________________________
From: Darren Dukes (ddukes) <[email-masked]>
Sent: Thursday, March 12, 2020, 15:17
To: Alexander Vainshtein; Brian E Carpenter
Cc: SPRING WG List; [email-masked]; Fernando Gont; draft-ietf-spring-srv6-network-programming
Subject: Re: [spring] Request to close the LC and move forward//RE: WGLC - draft-ietf-spring-srv6-network-programming

That is incorrect. A SID that is PSP flavor only performs the PSP operation when it is in the penultimate position in the segment list, and a SID is only processed on the node that instantiates it. See the definition of penultimate segment in the segment list definition here. https://tools.ietf.org/html/draft-ietf-6man-segment-routing-header-26#section-2<https://clicktime.symantec.com/3AYVE1JJACQpvGS2xF9K2CY6H2?u=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-6man-segment-routing-header-26%23section-2>

Thanks
  Darren

Brian,

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302

-----Original Message-----
From: Brian E Carpenter <[email-masked]>
Sent: Wednesday, March 11, 2020 9:13 PM
To: Alexander Vainshtein <[email-masked]>; Darren Dukes (ddukes) <[email-masked]>
Cc: SPRING WG List <[email-masked]>; [email-masked]; Fernando Gont <[email-masked]>; draft-ietf-spring-srv6-network-programming <[email-masked]>
Subject: Re: [spring] Request to close the LC and move forward//RE: WGLC - draft-ietf-spring-srv6-network-programming

Regards
    Brian